# Iru Sensei
*Location: Krakow, Poland - as a temporary resident*
*Email: shires-supply-0n@icloud.com*
*LinkedIn: Upon Request*
*GitHub: [irusensei](https://github.com/irusensei)*
*npub: npub1nmk2399jazpsup0vsm6dzxw7gydzm5atedj4yhdkn3yx7jh7tzpq842975*

## Summary
I'd describe myself as a Linux system administrator, and on top of that, I layer some marketable skills like devops with a dash of development. Throughout my career, I've found this combination to be quite handy, whether I'm working with legacy heavyweight infrastructure running commercial Unix flavors or writing deployment pipelines and container manifestos.

I've got a solid understanding of Kubernetes and manifesto writing, though I haven't pigeonholed myself into specific plugins or controllers – I like to keep things flexible.

I'm familiar with cloud providers, especially with Azure, thanks to my current job. I lean towards agnostic technologies, favoring tools like Terraform for my cloud API interactions.

I can code, although I wouldn't label myself a full-fledged developer. I'm proficient at automation and handling non-business logic, like creating helper modules and keeping things in good shape.

I run bitcoin software at home. Normally core, fulcrum and LND plus LNBits to interface with the Lightning network. Having tried many alternatives (including an ill fated k3s instance, running and compiling my own containers etc) I've setled with Nix-Bitcoin. 

Lastly, I'm well-versed in the responsibilities that come with financial IT, which includes a healthy awareness of client data confidentiality and "must-knows" that come with the territory of working with an European bank.

## Work Experience
### Job Title - Company Name (City, State) | Date - Present
* Can provide details upon request. Here is a list of past jobs without mentioning company names:
  - Consultant for SuSE Linux Enterprise partner. Key products included virtualization (Xen), LDAP, mail and web servers.
  - System administration for an online gaming company. Key products included maintaining Linux and FreeBSD application and web servers.
  - System administration for logistics tracking company. Mainly virtualization (Xen) Linux system administration.
  - System Engineer on SuSE Linux Enterprise partner (same company). This time with heavy focus on monitoring projects (Nagios, Centreon, writing custom monitoring program).
  - System Engineer on retail store chain. Besides Linux system administration (mostly SAP on Linux) I wrote the deployment scripts for every in store server and PoS and monitoring.
  - Senior configuration engineer on current job. On site on a too-big-to-fail european bank. Working on a team whose focus is to maintain Azure monitoring and automation platforms and integration between cloud and on-prem systems. I handle infrastructure and CI/CD.


## Education
### Degree Name - University Name (City, State) | Date
- I only finished high school and scored a minor IT job after finishing.

## Skills
* General keywords:
  - Linux, Unix, Windows, Docker, Containers, Kubernetes, Gitlab, Terraform, Cloud.  
* Languages:
  - Bash, Python, Powershell, Golang.

## Certifications
- I have LPI and SuSE Enterprise Engineer certifications but most of these are probably expired.

## Languages
- English, portuguese.

## Interests
- Operating systems from a system administrator perspective.
- Open source.
- Self hosting.
- Bitcoin and sovereign financial technology.
- Internet freedom.
- Lately been interested in Nostr.

## References

Personal details like personal info and Linkedin profile pages can be granted upon request.

